<?php
/**
 * Article Name: Section - Two Columns
 */

use USKit\Base\NewsMLArticle;
use USKit\Base\Teaser;
use Infomaker\Everyware\Twig\View;

if ($article instanceof OcArticle) {
    $teaser = new Teaser(NewsMLArticle::createFromOcArticle($article));

    $teaserArray = $teaser->getViewData();

    $teaserArray['teaser_time_display'] = get_theme_mod( 'teaser_time_display' );
    $teaserArray['timezone_setting'] = get_theme_mod( 'timezone_setting' );
    $teaserArray['teaser_time_format'] = get_theme_mod('teaser_time_format' );
    $teaserArray['published_time_label'] = get_theme_mod('published_time_label' );
    $teaserArray['modified_time_label'] = get_theme_mod('modified_time_label' );
    $teaserArray['teaser_section_front_length'] = get_theme_mod('teaser_section_front_length' );
    $teaserArray['image_endpoint_url'] = get_theme_mod('image_endpoint_url' );

    View::render('@base/teaser/section-teaser-two-column.twig', $teaserArray);
}